> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# List worker addresses

GET https://api.letsdeel.com/rest/people/{worker_id}/addresses

Returns the worker's current home, postal and contract addresses. Set include\_scheduled to true to also return the future-dated version of an address, with the same id and its effective\_date. Contract addresses are read-only here: GP payroll contract addresses are updated with PATCH /rest/gp/workers/\{worker\_id}/address. This endpoint must be enabled per organization before it can be used.

**Token scopes**: `people:read`

**Beta**: this version requires the `X-Beta: true` request header and its contract may change before it is promoted to stable. It is scheduled to become stable on 2027-01-28.

Reference: https://developer.deel.com/api/reference/endpoints/people/get-worker-addresses-v-2026-10-28

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `worker_id` (string, required) — Unique identifier for a worker.

### Query parameters

- `include_scheduled` (boolean, optional, default: false) — When true, also returns the future-dated (scheduled) versions of the addresses.

### Headers

- `X-Beta` (enum, required, default: true) — Opts in to the beta version of this endpoint. Must be `true`.
  - Allowed values: `true`

## Response

### 200

Successful response

- `data` (list of PeopleWorkerIdAddressesGetResponsesContentApplicationJsonSchemaDataItems, required) — Addresses of the worker.

## Errors

### 400 Bad Request Error

Bad request - invalid worker_id or include_scheduled.

- `errors` (list of PeopleWorkerIdAddressesGetResponsesContentApplicationJsonSchemaErrorsItems, required) — List of errors describing why the request failed

### 401 Unauthorized Error

Unauthorized.

- `errors` (list of PeopleWorkerIdAddressesGetResponsesContentApplicationJsonSchemaErrorsItems, required) — List of errors describing why the request failed

### 403 Forbidden Error

Forbidden - the addresses public API is not enabled for this organization, or the caller cannot view this worker.

- `errors` (list of PeopleWorkerIdAddressesGetResponsesContentApplicationJsonSchemaErrorsItems, required) — List of errors describing why the request failed

### 404 Not Found Error

Not found - unknown worker, or a worker of another organization.

- `errors` (list of PeopleWorkerIdAddressesGetResponsesContentApplicationJsonSchemaErrorsItems, required) — List of errors describing why the request failed

### 429 Too Many Requests Error

Too many requests.

- `errors` (list of PeopleWorkerIdAddressesGetResponsesContentApplicationJsonSchemaErrorsItems, required) — List of errors describing why the request failed

### 500 Internal Server Error

Internal server error.

- `errors` (list of PeopleWorkerIdAddressesGetResponsesContentApplicationJsonSchemaErrorsItems, required) — List of errors describing why the request failed

## Types

### PeopleWorkerIdAddressesGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, required) — Unique identifier of the address, shared by its current and scheduled versions.
- `zip` (string, required, nullable) — The zip code.
- `city` (string, required, nullable) — The city.
- `type` (enum, required) — The type of the address. Contract addresses are read-only on this API.
  - Allowed values: `HOME`, `POSTAL`, `CONTRACT`
- `state` (string, required, nullable) — The state.
- `street` (string, required, nullable) — The street address.
- `country` (string, required) — The two-letter country code.
- `line_two` (string, required, nullable) — The second address line.
- `contract_id` (string, required, nullable) — Contract the address belongs to; null for HOME and POSTAL addresses.
- `effective_date` (string, required, nullable) — Date (YYYY-MM-DD) from which this version of the address applies.

### PeopleWorkerIdAddressesGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, required) — Machine-readable error code
- `message` (string, required) — A description of the returned error
- `details` (PeopleWorkerIdAddressesGetResponsesContentApplicationJsonSchemaErrorsItemsDetails, optional) — Validation context, present for validation errors only

### PeopleWorkerIdAddressesGetResponsesContentApplicationJsonSchemaErrorsItemsDetails

Validation context, present for validation errors only

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "f7b3b3b3-3b3b-4b3b-8b3b-3b3b3b3b3b3b",
      "zip": "10001",
      "city": "New York",
      "type": "HOME",
      "state": "NY",
      "street": "123 Main St",
      "country": "US",
      "line_two": "Apt 4B",
      "contract_id": "37nex2x",
      "effective_date": "2026-01-01"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/people/d290f1ee-6c54-4b01-90e6-d701748f0851/addresses"

querystring = {"include_scheduled":"true"}

headers = {
    "X-Beta": "true",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/people/d290f1ee-6c54-4b01-90e6-d701748f0851/addresses?include_scheduled=true';
const options = {method: 'GET', headers: {'X-Beta': 'true', Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/people/d290f1ee-6c54-4b01-90e6-d701748f0851/addresses?include_scheduled=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Beta", "true")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/people/d290f1ee-6c54-4b01-90e6-d701748f0851/addresses?include_scheduled=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Beta"] = 'true'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/people/d290f1ee-6c54-4b01-90e6-d701748f0851/addresses?include_scheduled=true")
  .header("X-Beta", "true")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/people/d290f1ee-6c54-4b01-90e6-d701748f0851/addresses?include_scheduled=true', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'X-Beta' => 'true',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/people/d290f1ee-6c54-4b01-90e6-d701748f0851/addresses?include_scheduled=true");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Beta", "true");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Beta": "true",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/people/d290f1ee-6c54-4b01-90e6-d701748f0851/addresses?include_scheduled=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```